Save Checkpoint
Save progress and release the lease.
Path Parameters
run_id*string
Format
uuidHeader Parameters
x-workspace-id?|
Workspace UUID for session-authenticated calls.
Request Body
application/json
lease_id*string
Format
uuidcheckpoint_sha256*string
Match
^[0-9a-f]{64}$agent_turns*integer
Range
0 <= value <= 50reason*string
Value in
"runner_timeout" | "waiting"waiting_on_experiment_ids?array<>
Items
items <= 10[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://loading/v1/optimization-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/checkpoint" \ -H "Content-Type: application/json" \ -d '{ "lease_id": "2bb93227-93ec-4b58-a0aa-93b5a1121b74", "checkpoint_sha256": "string", "agent_turns": 50, "reason": "runner_timeout" }'{
"status": "preparing",
"agent_turns": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}